# InetType Class Reference
[Supported meta-types]

Inheritance diagram for InetType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| getSize ()
| setDefault ($default)

## Detailed Description

Definition at line 15 of file InetType.class.php.

## Member Function Documentation

InetType::getPrimitiveName | ( |  | ) |

Reimplemented from IntegerType.

Definition at line 17 of file InetType.class.php.

InetType::getSize | ( |  | ) |

Reimplemented from IntegerType.

Definition at line 22 of file InetType.class.php.

InetType::setDefault | ( | $ | default | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  InetType

Reimplemented from IntegerType.

Definition at line 31 of file InetType.class.php.

References BasePropertyType::$default, and Assert::isTrue().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- meta/types/InetType.class.php